@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');
*{
    margin:0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins',sans-serif;
}
body{
    background: #17A2B8;
}
marquee{
    padding-top: 35px;
}
.bodypg{
    display: flex;
    padding: 0 10px;
    padding-bottom: 75px;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background: #17A2B8;
  }
  ::selection{
  color: #fff;
  background: #17A2B8;
}
  .wrapper{
    width: 770px;
    padding: 35px;
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 10px 15px rgba(0,0,0,0.05); 
  }
  .wrapper .input-field{
    opacity: 0;
    z-index: -999;
    position: absolute;
  }
  .wrapper .content-box{
    padding: 13px 20px 0;
    border-radius: 10px;
    border: 2px solid #ccc;
  }
  .content-box .typing-text{
    max-height: 250px;
    /* overflow: hidden; */
    overflow-y: auto;
  }
  .typing-text::-webkit-scrollbar{
    width: 0;
  }
  .typing-text p{
    font-size: 21px;
    text-align: justify;
    letter-spacing: 1px;
    /* word-break: break-all; */
  }
  .typing-text p span{
    position: relative;
  }
  .typing-text p span.correct{
    color: #56964f;
  }
  .typing-text p span.incorrect{
    color: #cb3439;
    outline: 1px solid #fff;
    background: #ffc0cb;
    border-radius: 4px;
  }
  .typing-text p span.active{
    color: #17A2B8;
  }
  .typing-text p span.active::before{
    position: absolute;
    content: "";
    height: 2px;
    width: 100%;
    bottom: 0;
    left: 0;
    opacity: 0;
    border-radius: 5px;
    background: #17A2B8;
    animation: blink 1s ease-in-out infinite;
  }
  @keyframes blink{
    50%{ 
      opacity: 1; 
    }
  }
  .content-box .content{
    display: flex;
    margin-top: 20px;
    padding: 12px 0;
    border-top: 1px solid #ccc;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
  }
  .content button{
    outline: none;
    border: none;
    width: 105px;
    color: #fff;
    padding: 8px 0;
    font-size: 16px;
    cursor: pointer;
    border-radius: 5px;
    background: #17A2B8;
    transition: transform 0.3s ease;
  }
  .content button:active{
    transform: scale(0.97);
  }
  .content .result-details{
    display: flex;
    width: calc(100% - 140px);
    justify-content: space-between; 
    flex-wrap: wrap;
    align-items: center;
  }
  .result-details li{
    display: flex;
    list-style: none;
    align-items: center;
    height: 20px;
    position: relative;
     
  }
  .result-details li:not(:first-child){
    padding-left: 22px;
    border-left: 1px solid #bfbfbf;
  }
  .result-details li p{
    font-size: 19px;
  }
  .result-details li span{
    display: block;
    font-size: 20px;
    margin-left: 10px;
  }
  li:not(:first-child) span{
    font-weight: 500;
  }
  li span b{
    font-weight: 500;
  }
  @media (max-width: 745px) {
    .wrapper{
      padding: 20px;
    }
    .content-box .content{
      padding: 20px 0;
    }
    .content-box .typing-text{
      max-height: 100%;
    }
    .typing-text p{
      font-size: 19px;
      text-align: left;
    }
    .content button{
      width: 100%;
      font-size: 15px;
      padding: 10px 0;
      margin-top: 20px;
    }
    .content .result-details{
      width: 100%;
    }
    .result-details li:not(:first-child){
      border-left: 0;
      padding: 0;
    }
    .result-details li p, 
    .result-details li span{
      font-size: 17px;
    }
  }
  @media (max-width: 518px) {
    .wrapper .content-box{
      padding: 10px 15px 0;
    }
    .typing-text p{
      font-size: 18px;
    }
    .result-details li{
      margin-bottom: 10px;
    }
    .content button{
      margin-top: 10px;
    }
  }